package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V10_5_To_V10_6 extends AbstractUpdate
{
	
	public V10_5_To_V10_6()
	{
		super(10.5,10.6,"Importa\u00e7\u00e3o de riscos e medidas");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update( "alter table hs_medida alter column description type character varying(8192);");
		executer.executeQuery( update );
		update = new com.evolute.utils.sql.Update( "alter table hs_medida alter column requesitos_legais type character varying(8192);");
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
